## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesWrapperToXalanNodeMap Class Reference

`#include <XercesWrapperToXalanNodeMap.hpp>`

List of all members.

## Public Types

- typedef std::map<const DOMNodeType*,
  XalanNode*> XercesNodeMapType

## Public Methods

- XercesWrapperToXalanNodeMap ()
- ~XercesWrapperToXalanNodeMap ()
- void addAssociation ( const DOMNodeType* theXercesNode, XalanNode* theXalanNode)
- void clear ()
- XalanNode* getNode (const DOMNodeType* theXercesNode) const

## Member Typedef Documentation

typedef std::map<const DOMNodeType*, XalanNode*> XercesWrapperToXalanNodeMap::XercesNodeMapType

## Constructor & Destructor Documentation

XercesWrapperToXalanNodeMap::XercesWrapperToXalanNodeMap ( | )

XercesWrapperToXalanNodeMap::~XercesWrapperToXalanNodeMap ( | )

## Member Function Documentation

void XercesWrapperToXalanNodeMap::addAssociation ( | const DOMNodeType * theXercesNode,
| XalanNode * theXalanNode )

void XercesWrapperToXalanNodeMap::clear ( | )

XalanNode* XercesWrapperToXalanNodeMap::getNode ( | const DOMNodeType * theXercesNode ) const

The documentation for this class was generated from the following file:

- XercesWrapperToXalanNodeMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.